summaryrefslogtreecommitdiffhomepage
path: root/dist-assets/linux
diff options
context:
space:
mode:
authorOskar Nyberg <oskar@mullvad.net>2022-08-23 11:08:13 +0200
committerOskar Nyberg <oskar@mullvad.net>2022-08-23 15:34:19 +0200
commite2792969dcab94e3f7212abe48914c4dfb1379ea (patch)
tree846bdac81faad877e9d873f379c6865c32e5e16e /dist-assets/linux
parentcd0dea856ca8f0aabde2affb9104a5a958be46af (diff)
downloadmullvadvpn-e2792969dcab94e3f7212abe48914c4dfb1379ea.tar.xz
mullvadvpn-e2792969dcab94e3f7212abe48914c4dfb1379ea.zip
Remove use of --quit-without-disconnect and limitations due to disconnecting
Diffstat (limited to 'dist-assets/linux')
-rw-r--r--dist-assets/linux/before-install.sh2
-rw-r--r--dist-assets/linux/before-remove.sh4
2 files changed, 4 insertions, 2 deletions
diff --git a/dist-assets/linux/before-install.sh b/dist-assets/linux/before-install.sh
index 6f076b129e..a8efb02adb 100644
--- a/dist-assets/linux/before-install.sh
+++ b/dist-assets/linux/before-install.sh
@@ -11,6 +11,8 @@ if which systemctl &> /dev/null; then
fi
fi
+# This can be removed when 2022.4 is unsupported. That version is the last version where
+# before-remove.sh doesn't kill the GUI on upgrade.
pkill -x "mullvad-gui" || true
rm -f /var/cache/mullvad-vpn/relays.json
diff --git a/dist-assets/linux/before-remove.sh b/dist-assets/linux/before-remove.sh
index 340cd272cc..38fcb0364f 100644
--- a/dist-assets/linux/before-remove.sh
+++ b/dist-assets/linux/before-remove.sh
@@ -1,6 +1,8 @@
#!/usr/bin/env bash
set -eu
+pkill -x "mullvad-gui" || true
+
is_number_re='^[0-9]+$'
# Check if we're running during an upgrade step on Fedora
# https://fedoraproject.org/wiki/Packaging:Scriptlets#Syntax
@@ -18,7 +20,5 @@ fi
systemctl stop mullvad-daemon.service || true
systemctl disable mullvad-daemon.service || true
-pkill -x "mullvad-gui" || true
-
/opt/Mullvad\ VPN/resources/mullvad-setup reset-firewall || echo "Failed to reset firewall"
/opt/Mullvad\ VPN/resources/mullvad-setup remove-device || echo "Failed to remove device from account"